Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ConsumerControl Class Reference

ConsumerControl. More...

`#include <CEC_ConsumerControl.h>`

Inheritance diagram for TAO_CEC_ConsumerControl:

[legend]
List of all members.

## Public Methods
| TAO_CEC_ConsumerControl (void)
| Constructor. It does not assume ownership of the <event_channel> parameter. More...
virtual | ~TAO_CEC_ConsumerControl (void)
| destructor... More...
virtual int | activate (void)
| Activate any internal threads or timers used to poll the state of the consumers. More...
virtual int | shutdown (void)
virtual void | consumer_not_exist (TAO_CEC_ProxyPushSupplier *proxy ACE_ENV_ARG_DECL_NOT_USED)
| When pushing an event to the consumer a CORBA::OBJECT_NOT_EXIST exception was raised. More...
virtual void | consumer_not_exist (TAO_CEC_ProxyPullSupplier *proxy ACE_ENV_ARG_DECL_NOT_USED)
| Invoked by helper classes when they detect that a consumer no longer exists (i.e. More...
virtual void | system_exception (TAO_CEC_ProxyPushSupplier *proxy, CORBA::SystemException &ACE_ENV_ARG_DECL_NOT_USED)
| Some system exception was rasied while trying to push an event. More...

## Detailed Description

ConsumerControl.

Defines the interface for the consumer control strategy. This strategy handles misbehaving or failing consumers. = MEMORY MANAGMENT = LOCKING = TODO

## Constructor & Destructor Documentation

TAO_CEC_ConsumerControl::TAO_CEC_ConsumerControl | ( | void |  | ) |

| Constructor. It does not assume ownership of the <event_channel> parameter.

TAO_CEC_ConsumerControl::~TAO_CEC_ConsumerControl | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

int TAO_CEC_ConsumerControl::activate | ( | void |  | ) | `[virtual]`

| Activate any internal threads or timers used to poll the state of the consumers. Reimplemented in TAO_CEC_Reactive_ConsumerControl.

virtual void TAO_CEC_ConsumerControl::consumer_not_exist | ( | TAO_CEC_ProxyPullSupplier *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Invoked by helper classes when they detect that a consumer no longer exists (i.e. _non_existent() returns true and/or the CORBA::OBJECT_NOT_EXIST exception has been raised). Reimplemented in TAO_CEC_Reactive_ConsumerControl.

virtual void TAO_CEC_ConsumerControl::consumer_not_exist | ( | TAO_CEC_ProxyPushSupplier *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| When pushing an event to the consumer a CORBA::OBJECT_NOT_EXIST exception was raised. The only interpretation is that the object has been destroyed. The strategy has to (at the very least), reclaim all the resources attached to that object. Reimplemented in TAO_CEC_Reactive_ConsumerControl.

int TAO_CEC_ConsumerControl::shutdown | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_CEC_Reactive_ConsumerControl.

void TAO_CEC_ConsumerControl::system_exception | ( | TAO_CEC_ProxyPushSupplier * | proxy,
|  | CORBA::SystemException & | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Some system exception was rasied while trying to push an event. Reimplemented in TAO_CEC_Reactive_ConsumerControl.

The documentation for this class was generated from the following files:

- CEC_ConsumerControl.h
- CEC_ConsumerControl.cpp